org.eclipse.jgit.api.errors

## Class TransportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.TransportException

All Implemented Interfaces:
  Serializable

    public class TransportException
    extends GitAPIException

Exception thrown when transport operation failed

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransportException(String msg)`
`TransportException(String msg, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransportException

    public TransportException(String msg)

Parameters:
  `msg` - message describing the transport failure.

#### TransportException

    public TransportException(String msg,
                      Throwable cause)

Parameters:
  `msg` - message describing the transport exception.
  `cause` - why the transport failed.